#include "exceptions.h"

VectorException::VectorException(const char* message){
    this->_message = message;
}

const char* VectorException::what() const noexcept {
    return this->_message;
}

RepoException::RepoException(const char* message){
    this->_message = message;
}

const char* RepoException::what() const noexcept {
    return this->_message;
}

AdminControllerException::AdminControllerException(const char* message){
    this->_message = message;
}

const char* AdminControllerException::what() const noexcept {
    return this->_message;
}
